This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 456347 - (CVE-2008-2937) CVE-2008-2937 postfix improper mailbox permissions
CVE-2008-2937 postfix improper mailbox permissions
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20080814,reported=2...
: Security
Depends On: 459099 459100 459101 683386 683387 683389 833971
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 20:52 EDT by Josh Bressers
Modified: 2012-06-20 10:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-07 02:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch Suse used (1.29 KB, patch)
2008-08-14 09:42 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2008-07-22 20:52:02 EDT
Sebastian Krahmer discovered an issue in the way postfix handles mailboxes with
improper permissions and ownership.

It is possible for a user with permissions to create files in the mail spool
directory to create an insecure mailbox file for a known valid user.  This
mailbox will retain the insecure permissions and ownership allowing anyone to
view the data.

The easiest example of this would be a local user with the ability to write to
the mail spool creates a file named 'root' which postfix will then delivery
root's mail into regardless of file permissions or ownership.
Comment 1 Josh Bressers 2008-07-22 20:53:27 EDT
This issue affects Red Hat Enterprise Linux 3, 4, and 5.
Comment 2 Josh Bressers 2008-08-14 09:27:43 EDT
This is public:
http://marc.info/?l=full-disclosure&m=121871844101393&w=2
Comment 3 Josh Bressers 2008-08-14 09:42:03 EDT
Created attachment 314316 [details]
Patch Suse used

Here is the patch Suse used.  I'm not sure where it came form, or if it's right, but from looking at it, it should work.
Comment 4 Josh Bressers 2008-08-14 18:38:11 EDT
The above patch did come from postfix upstream.
Comment 5 Fedora Update System 2008-10-09 17:31:14 EDT
postfix-2.5.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-09 17:33:04 EDT
postfix-2.5.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2011-04-06 19:00:05 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2011:0422 https://rhn.redhat.com/errata/RHSA-2011-0422.html
Comment 10 Vincent Danen 2011-04-06 19:30:36 EDT
Acknowledgements:

Red Hat would like to thank Sebastian Krahmer of the SuSE Security Team for reporting this issue.



Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.